package com.nisum.example.service;

import com.nisum.example.model.Reservation;
import reactor.core.publisher.Flux;
import reactor.core.publisher.Mono;

import java.util.List;

public interface ReservationService {

    public Mono<Reservation> getReservation(String Id);
    public Flux<Reservation> getAllReservations();
    public Mono<Reservation> createReservation(Mono<Reservation> reservationMono);
    public Flux<Reservation> createReservations(List<Reservation> reservationList);
    public Mono<Reservation> updateReservation(String id,Mono<Reservation> reservationMono);
    public Mono<Boolean> deleteReservation(String id);
}
